// $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/Bt848_32/rcs/i2cerr.h 1.3 1997/07/30 00:59:06 rudyl Released $
// $Log: i2cerr.h $
// Revision 1.3  1997/07/30 00:59:06  rudyl
// Added I2CERR_PARAMETER.
// Revision 1.2  1996/06/29 00:16:24  ssm
// add cuthere token

// CUT_HERE

/////////////////////////////////////////////////////////////////////////////
//
//  Copyright (c) 1996 Brooktree Corporation. All Rights Reserved.
//
//  Module:
//
//    i2cerr.h
//
//  Abstract:
//
//    Header file contains a list of I2C error status
//
/////////////////////////////////////////////////////////////////////////////

#ifndef __I2CERR_H
#define __I2CERR_H

const int I2CERR_OK        = 0;     // no error
const int I2CERR_INIT      = 1;     // error in initialization
const int I2CERR_MODE      = 2;     // invalid I2C mode (must be either HW or SW)
const int I2CERR_NOACK     = 3;     // no ACK received from slave
const int I2CERR_TIMEOUT   = 4;     // timeout error
const int I2CERR_SCL       = 5;     // unable to change SCL line
const int I2CERR_SDA       = 6;     // unable to change SDA line
const int I2CERR_PARAMETER = 6;     // parameter error
                                     
#endif   // __I2CERR_H

