// $Log: VPAEC16.CPP $
// Revision 1.1  1998/02/24 22:58:34  rudyl
// Initial revision
// $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/capdrv/rcs/VPAEC16.CPP 1.1 1998/02/24 22:58:34 rudyl Exp $

#include <windows.h>
#include "vpaec16.h"
#include "vpaeccmd.h"


static FARPROC EntryPoint = NULL;
static Initialised = 0;

FARPROC GetVPAECVxDEntryPoint(void);

static void Initialise( void )
{
    EntryPoint = GetVPAECVxDEntryPoint( );
    
    if ( EntryPoint != NULL ) Initialised = 1;
}

int VPAEC_StateMessageBox( void )
{
	if ( !Initialised ) Initialise();
	
	if ( Initialised )
	{
		DWORD rval;
		char VersionString[64];
		
		rval = VPAEC_Get_Version();

		if ( LOBYTE( rval ) < 0x10 )
		{
			wsprintf( VersionString , "Connected to VPAEC.Vxd Version %x-0%x" , HIBYTE( rval ) , LOBYTE( rval ) );
		}
		else
		{
			wsprintf( VersionString , "Connected to VPAEC.Vxd Version %x-%x" , HIBYTE( rval ) , LOBYTE( rval ) );
		}

		MessageBox( NULL , VersionString , "Win16 VPAEC Parameter Tool" , MB_OK | MB_ICONINFORMATION | MB_TASKMODAL );
	}
	else
	{
		MessageBox( NULL , "Could not connect to VPAEC.VxD" , "Win16 VPAEC Parameter Tool" , MB_OK | MB_ICONSTOP | MB_TASKMODAL );
	}

	return Initialised;
}

int VPAEC_State( void )
{
	if ( !Initialised ) Initialise();

	return Initialised;	
}


DWORD VPAEC_Get_Version( void )
{
	WORD Version = 0;	

	if ( !Initialised ) Initialise();
	
	if ( Initialised )
	{
		_asm 
		{
			mov	ax, VPAEC_VERSION
			call [EntryPoint]
			mov Version , ax
		}
	}	
	
	return Version;
}

int VPAEC_SetParam( T_VP_PARAM param , BYTE value )
{
	int Value = value;

	if ( !Initialised ) Initialise();

	if ( Initialised )
	{
		_asm {
			push	bx
			mov	ax, VPAEC_SETPARAM
			mov	bx, param
			mov	cx, Value
			call	[EntryPoint]
			pop	bx
		}
	}
 	return Initialised;
}



int VPAEC_GetParam( T_VP_PARAM param , BYTE *ValuePtr )
{
	int ParamVal = 0;

	if ( !Initialised ) Initialise();

	if ( Initialised )
	{
		_asm {
			push	bx
			mov	ax, VPAEC_GETPARAM
			mov	bx, param
			call	[EntryPoint]
			mov ParamVal,bx
			pop	bx
		}
	}

	*ValuePtr = ParamVal;
 	return Initialised;
}


FARPROC GetVPAECVxDEntryPoint(void)
{
	FARPROC p;
	int VxDID = 0x3E21; // VPAEC VxD ID
  	_asm {
		xor di,di;
		mov es,di;
		mov bx,VxDID
  		mov	ax, 1684h
  		int	2Fh		
		mov	word ptr [p], di
		mov 	word ptr [p+2], es

		pop	di
		pop	bx			
	}

	return p;
}



