# $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/capdrv/rcs/capdrv.mak 2.20 1998/04/22 10:58:44 trang Exp $

# $Log: capdrv.mak $
# Revision 2.20  1998/04/22 10:58:44  trang
# Make the Dialogs DLL to dynamic link with BtVid_16.dll.
# Revision 2.19  1998/02/24 22:29:00  rudyl
# Added VVL's VPAEC files.
# Revision 2.18  1998/02/24 01:23:04  dtharp
# Modified to look for thunk files in dvlpmnt\thunks instead of pisces\thunks
# Revision 2.17.1.3  1998/02/24 19:58:04  rudyl
# Added vpaec.obj to link with capdrv.
# Revision 2.17.1.2  1998/02/12 23:37:29  rudyl
# Added *.dlg files as dependencies to BtVidDlg.res which is a dependency of BtVidDlg.dll.
# Revision 2.17.1.1  1997/12/09 23:54:28  rudyl
# Duplicate revision
# Revision 2.17  1997/12/09 23:54:28  peter
# Revision 2.15  1997/12/03 21:50:58  peter
# Fixed regutil 16/32-bit incompatibility.
# Revision 2.14  1997/11/26 06:29:42  rudyl
# Added support of Scotch.
# Revision 2.13  1997/09/16 20:09:01  dtharp
# Changes requrired for BtPciVid.drv name change to BtVid.drv.
# Revision 2.12  1997/09/10 20:42:03  dtharp
# Mods required for name change bt848_16.dll -> BtVid_16.dll.
# Revision 2.11  1997/09/09 19:36:23  dtharp
# Mods for Dialogs DLL name change
# Revision 2.10.1.1  1997/09/04 21:28:11  dtharp
# Revision 2.10  1997/09/03 17:52:27  dtharp
# Mods required for name change of Bt848.drv to BtPciVid.drv.
# Revision 2.9  1997/05/14 21:00:22  dtharp
# Removed copy of colspace.cpp. Now just compiles the remote source.
# Revision 2.8  1997/05/05 21:51:14  dtharp
# 848A Merge: Add pci_io.
# Revision 2.7  1997/04/16 16:39:03  rudyl
# Merge 2.6 with 2.4.1.2:
# Added functions to thunk down from Bt848_32.dll to capture driver.
# Revision 2.6  1997/04/09 17:28:36  dtharp
# Added -DDEBUG to compile if DEBUG is defined in environment.
# Revision 2.5  1997/04/08 17:32:32  dtharp
# Added support for DEBUG environment var.
# Revision 2.4.1.2  1997/03/21 02:38:17  rudyl
# Added thunk from 32 bitg dll to capture driver.
# Revision 2.4.1.1  1997/03/20 23:36:26  rudyl
# Add thunk down interface from 32 bit dll to capture driver.
# Revision 2.4  1996/10/03 22:41:33  dtharp
# Changed api_cc to cc_api.
# Revision 2.3  1996/10/03 16:33:50  dtharp
# Added api_cc to build.
# Revision 2.2  1996/10/02 20:09:22  dtharp
# Removed CCDecode and CCDispl from build of capdrv. These
# objects now reside in a seperate dll (cc.dll).
# Revision 2.1  1996/06/10 20:13:14  ssm
# MarkBeta1AsRev2
# Revision 1.20  1996/06/07 18:25:24  sasha
# Use noeh library
# Revision 1.19  1996/06/06 01:40:45  sasha
# Removed EH options
# Revision 1.17  1996/05/30 01:12:21  ssm
# add support for CC
# Revision 1.16  1996/05/17 02:22:00  sasha
# Do not link dialogs DLL implicitly anymore
# Revision 1.15  1996/05/09 23:58:08  sasha
# Changed linker command line and cleaned up compiler switches
# Revision 1.14  1996/05/07 22:48:15  ssm
# ch BRC from 45 to 5.0
# Revision 1.13  1996/05/07 22:12:50  sasha
# Do not use brc to bind resources as tlink takes care of this
# Revision 1.12  1996/05/07 19:33:53  sasha
# Temporarily added mark as 4.0 to the DLLs
# Revision 1.11  1996/05/04 01:55:02  ssm
# FINALLY ! got a make using pmake.ksh & bc5
# Revision 1.10  1996/05/04 01:33:39  ssm
# fighting to with bc5 ver of brc !; changed BRC to z:/bc45/bin/brc
# Revision 1.8  1996/05/03 02:23:11  ssm
# add Bt848_32 to include path for BCC
# Revision 1.7  1996/04/25 20:07:11  ssm
# ch THUNKDIR
# Revision 1.6  1996/04/25 18:00:32  ssm
# ch THUNKDIR
# Revision 1.5  1996/04/17 20:29:49  ssm

#######################################################
# stuff to make bt autobuild work


#######################################################
#
# Borland C++ IDE generated makefile
# with lots-o-stuff changed by ssm to make Bt autobuild
# a possiblity
#
#######################################################
# bt tools
BTSWTOOLS=z:
BTGDK=$(BTSWTOOLS)\GDK
BTBIN = $(BTSWTOOLS)\BIN

#############################
# bt borland
BTBC = $(BTSWTOOLS)\BC5
BTBCBIN = $(BTBC)\BIN
BTBCINCLUDE = $(BTBC)\INCLUDE
BTBCLIB = $(BTBC)\LIB
BRCINCLUDE = $(BTBCINCLUDE)

COMPOPT = 
LINKOPT = /Twd/x/l/c/C/n/k/Oci /V4.0 /L$(BTBCLIB)

#
# Note that environment defines are case sensitive (go figure!)
#
!if $d(debug) || $d(DEBUG)
    !message ****** DEBUG BUILD
    COMPOPT = -v $(COMPOPT) -DDEBUG
    LINKOPT = /v $(LINKOPT) 
!endif

#############################
IMPLIB  = $(BTBCBIN)\Implib
BCC     = $(BTBCBIN)\Bcc $(COMPOPT) +BccW16.cfg  # > err.log
TLINK   = $(BTBCBIN)\TLink $(LINKOPT) 
TLIB    = $(BTBCBIN)\TLib

#BRC     = $(BTBCBIN)\brc -i$(BTBCINCLUDE)

#include=z:/bc45/include
BRC     = z:\bc5\bin\brc -iz:\bc5\include



#######################################################
MarkAsWIN40 = ..\mark_40  # IDE Command Line: $NOSWAP $CAP EDIT $SELNODES
MASM = $(BTBIN)\ml  # IDE Command Line: $CAP EDIT -D$DEF /c /W3 /Fo $DIR($SELNODES)$NAME($SELNODES).obj $SELNODES
ThunkCompiler = $(THUNK)  # IDE Command Line: $NOSWAP $CAP EDIT -t PS $EDNAME -o $OUTNAME
THUNK   = $(BTBIN)\thunk  -t CAP
THUNKDIR = ..\thunks
#######################################################
.AUTODEPEND
.cpp.obj:
 $(BCC) { $< }

#######################################################
all : BccW16.cfg BtVid.drv 

#######################################################
doFirst :
    -@ rm -f BccW16.cfg
    -@ del /F /Q BccW16.cfg
    

regutil.obj : ..\include\regutil.cpp
 $(BCC) ..\include\regutil.cpp

#######################################################

colspace.obj : ..\colspace\colspace.cpp
 $(BCC) ..\colspace\colspace.cpp

#######################################################
Dep_capdrvbpiscesddrv =  \
    api.obj drvproc.obj errdlg.obj\
    extvidin.obj exvidout.obj vfwchan.obj vidinchn.obj\
    vidmsg.obj  vxdiface.obj capdrv.res\
    capdrv.def BtVidDlg.lib colspace.obj 16_2_32.obj BtVid_16.lib\
    CCEngine.obj CCchan.obj cc_api.obj pci_io.obj 32_2_drv.obj regutil.obj\
    vpaec16.obj


#######################################################
#$(Dep_capdrvbpiscesddrv) : BccW16.cfg

#######################################################
BtVid.drv : $(Dep_capdrvbpiscesddrv)
  $(TLINK)   @&&|
   $(BTBCLIB)\c0dl.obj+ api.obj+
   drvproc.obj+ errdlg.obj+ extvidin.obj+
   exvidout.obj+ vfwchan.obj+ vidinchn.obj+ vidmsg.obj+
   vxdiface.obj+  colspace.obj+ 16_2_32.obj+
   CCEngine.obj+ CCchan.obj+ cc_api.obj+ pci_io.obj+ 32_2_drv.obj+
   regutil.obj+ vpaec16.obj
   $<,$*
   $(BTBCLIB)\import.lib+ $(BTBCLIB)\noehwl.lib+ $(BTBCLIB)\mathwl.lib + $(BTBCLIB)\cwl.lib + BtVid_16.lib
   capdrv.def
   capdrv.res
|

#######################################################
pci_io.obj : ..\pci\pci_io.cpp
 $(BCC) ..\pci\pci_io.cpp

#######################################################
capdrv.res :  capdrv.rc
  $(BRC) -R -FO$@ capdrv.rc

#######################################################
Dep_capdrvbps_dlgsddll =    cap_api.obj dialogs.obj dlkvid16.obj regutil.obj\
                            BtVidDlg.def BtVidDlg.res

#######################################################
BtVidDlg.res : BtVidDlg.rc vidsrc.dlg vidfmt.dlg viddispl.dlg
  $(BRC) -R -FO$@ BtVidDlg.rc

#######################################################
BtVidDlg.lib : BtVidDlg.dll
  $(IMPLIB) $@ BtVidDlg.dll

BtVidDlg.dll : $(Dep_capdrvbps_dlgsddll)
   $(TLINK)   @&&|
   $(BTBCLIB)\c0dl.obj+ cap_api.obj+ dialogs.obj+ dlkvid16.obj+ regutil.obj
   $<,$*
   $(BTBCLIB)\import.lib+ $(BTBCLIB)\mathwl.lib+
    $(BTBCLIB)\noehwl.lib + $(BTBCLIB)\cwl.lib
   BtVidDlg.def
   BtVidDlg.res
|

#######################################################
16_2_32.obj : $(THUNKDIR)\16_2_32.asm
  $(MASM)  -DIS_16 /c /W3 /Fo $< $(THUNKDIR)\16_2_32.asm

#######################################################
$(THUNKDIR)\16_2_32.asm : $(THUNKDIR)\16_2_32.thk
  $(ThunkCompiler) -t CAP $** -o $@

#######################################################
32_2_drv.obj : ..\thunks\32_2_drv.asm
  $(MASM)  -DIS_16 /c /W3 /Fo $< ..\thunks\32_2_drv.asm

#######################################################
..\thunks\32_2_drv.asm : ..\thunks\32_2_drv.thk
  $(ThunkCompiler) -t DRV $** -o $@

#######################################################
###### 16 bit I2C and GPIO DLL ########
btVid_16.lib : btVid_16.dll
 $(IMPLIB) $@ btVid_16.dll

DepBtVid_16_dll = api16.obj \
 i2c_gpio.obj  \
 ..\bt848_16\btVid_16.def  \
 btVid_16.res


btVid_16.dll : $(DepBtVid_16_dll)
   $(TLINK) @&&|
   $(BTBCLIB)\c0dl.obj+
   api16.obj+
   i2c_gpio.obj
   $<,$*
   $(BTBCLIB)\import.lib+ $(BTBCLIB)\mathwl.lib+
   $(BTBCLIB)\noehwl.lib + $(BTBCLIB)\cwl.lib
   ..\bt848_16\btVid_16.def
   btVid_16.res
|

api16.obj : ..\Bt848_16\api16.cpp
 $(BCC)  -D_BUILD_BT848DLL ..\Bt848_16\api16.cpp

#######################################################
i2c_gpio.obj : ..\bt848_32\i2c_gpio.asm
  $(MASM)  -DIS_16 /c /W3 /Fo $< ..\bt848_32\i2c_gpio.asm

#######################################################
..\bt848_32\i2c_gpio.asm : ..\thunks\i2c_gpio.thk
  $(ThunkCompiler) -t I2C_GPIO $** -o $@

btVid_16.res : ..\bt848_16\btVid_16.rc
  $(BRC) -R -FO$@ ..\bt848_16\btVid_16.rc

#######################################################
#CCDec.obj CCEngine.obj CCchan.obj CCdispl.obj : ..\CC\CCDec.cpp \
#    ..\CC\CCEngine.cpp ..\CC\CCchan.cpp ..\CC\CCdispl.cpp
# $(BCC) $**
CCEngine.obj CCchan.obj cc_api.obj : ..\CC\CCEngine.cpp ..\CC\CCchan.cpp cc_api.cpp
 $(BCC) $**


#######################################################
# Compiler configuration file
BccW16.cfg : capdrv.mak
   Copy &&|
-I..\include;$(BTBCINCLUDE);.;..\colspace;..\Bt848_32;..\CC;..\pci
-DSTRICT;WIN40
-H=BtVid.csm -Ot -Z -O -Oe -Ol -Ob -OW -Om
-Op -Oi -Ov -Og -Ot -Op -Ov -R- -k- -Oa -b
-d -po- -f- -4 -ml -C -WDE -ml -x- -xd- -xc -RT- -p
-c -v
| $@
