# Microsoft Visual C++ generated build script
# Modified by:  Tom Tran

# MSVC 1.52 does not support the parsing of the environment variables (LIB, INCLUDE,...)
# The user of this makefile must set to the correct path MSVC installed.

BASEDIR = I:\MSVC15
LIB = $(BASEDIR)\LIB

PROJ = BTVidDlg
DEBUG = 
PROGTYPE = 1
CALLER = 
ARGS = 
DLLS = 
D_RCDEFINES = -d_DEBUG
R_RCDEFINES = -dNDEBUG
ORIGIN = MSVC
ORIGIN_VER = 1.00
PROJPATH = 
USEMFC = 0
CC = cl
CPP = cl
CXX = cl
CCREATEPCHFLAG = 
CPPCREATEPCHFLAG = 
CUSEPCHFLAG = 
CPPUSEPCHFLAG = 
FIRSTC =             
FIRSTCPP =             
RC = rc
IMPLIB = implib
CFLAGS_D_WDLL = /nologo /W3 /FR /G2 /Zi /D_DEBUG /Od /GD /ALw /Fd"BTVIDDLG.PDB"
CFLAGS_R_WDLL = /nologo /W3 /FR /O1 /DNDEBUG /GD /ALw
LFLAGS_D_WDLL = /NOLOGO /ONERROR:NOEXE /NOD /PACKC:61440 /CO /NOE /ALIGN:16 /MAP:FULL
LFLAGS_R_WDLL = /NOLOGO /ONERROR:NOEXE /NOD /PACKC:61440 /NOE /ALIGN:16 /MAP:FULL
LIBS_D_WDLL = $(LIB)\oldnames $(LIB)\libw $(LIB)\commdlg $(LIB)\shell $(LIB)\olecli \
              $(LIB)\olesvr $(LIB)\ldllcew
LIBS_R_WDLL = $(LIB)\oldnames $(LIB)\libw $(LIB)\commdlg $(LIB)\shell $(LIB)\olecli \
              $(LIB)\olesvr $(LIB)\ldllcew
RCFLAGS = /nologo
RESFLAGS = /nologo
RUNFLAGS = 
DEFFILE = BTVIDDLG.DEF
OBJS_EXT = 
LIBS_EXT = 
!if "$(DEBUG)" == "1"
CFLAGS = $(CFLAGS_D_WDLL)
LFLAGS = $(LFLAGS_D_WDLL)
LIBS = $(LIBS_D_WDLL)
MAPFILE = nul
RCDEFINES = $(D_RCDEFINES)
!else
CFLAGS = $(CFLAGS_R_WDLL)
LFLAGS = $(LFLAGS_R_WDLL)
LIBS = $(LIBS_R_WDLL)
MAPFILE = nul
RCDEFINES = $(R_RCDEFINES)
!endif
!if [if exist MSVC.BND del MSVC.BND]
!endif
SBRS =  CAP_API.SBR  \
		DIALOGS.SBR

# The ..\INCLUDE\ can be change in accordance with the whereabouts of these include files.
# This version of MSVC does not support the parsing of the INCLUDE environment variables
# which treats the entire environment string as one string.  Therefore, it cannot resolve
# the paths of these files.  The user of this makefile must point to the correct path or
# copy the files local and remove the ..\INCLUDE\ appendage.

CAP_API_DEP = ..\include\msvccomp.h				\
	          api.h                            \
	          ..\include\retcode.h             \
	          ..\include\dcdrvals.h            \
	          ..\include\viddefs.h             \
	          ..\include\colfrmat.h            \
	          ..\include\ddiflags.h            \
	          ..\include\audio.h


DLKVID16_DEP = dlkvid16.h                  	   \
			  ..\Bt848_32\Bt848api.h           \
			  ..\include\retcode.h 

REGUTIL_DEP = ..\include\msvccomp.h        	   \
			  ..\include\regutil.h             \
			  ..\include\mytypes.h             \
			  ..\include\util_16.h             \
			  ..\include\dbgprint.h            \
			  ..\include\viddefs.h 

DIALOGS_DEP = ..\include\msvccomp.h				\
	          api.h                            \
	          config.h                         \
	          exviddlg.h                       \
	          dialogs.h                        \
	          ..\Bt848_32\bt848api.h           \
	          ..\include\def__.h               \
	          ..\Bt848_32\gpiotype.h           \
	          ..\include\retcode.h             \
	          ..\include\dcdrvals.h            \
	          ..\include\viddefs.h             \
	          ..\include\colfrmat.h            \
	          ..\include\audio.h               \
	          ..\include\regutil.h             \
	          ..\include\mytypes.h  

PS_DLGS_RCDEP = ..\include\msvccomp.h          \
	            vidsrc.dlg                     \
	            config.h                       \
	            vidfmt.dlg                     \
	            viddispl.dlg                   \
	            exviddlg.h



all:	$(PROJ).DLL BTVID_16.LIB $(PROJ).BSC

CAP_API.OBJ:	CAP_API.CPP $(CAP_API_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c CAP_API.CPP

DLKVID16.OBJ:	DLKVID16.CPP $(DKLVID16_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c DLKVID16.CPP

DIALOGS.OBJ:	DIALOGS.CPP $(DIALOGS_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c DIALOGS.CPP

REGUTIL.OBJ:	..\include\REGUTIL.CPP $(REGUTIL_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\include\REGUTIL.CPP

BTVIDDLG.RES:	BTVIDDLG.RC $(PS_DLGS_RCDEP)
	$(RC) $(RCFLAGS) $(RCDEFINES) -r BTVIDDLG.RC

BTVID_16.LIB: ..\Bt848_16\m_bt848_16.def
    $(IMPLIB) BTVID_16.LIB ..\Bt848_16\m_bt848_16.def

$(PROJ).DLL::	BTVIDDLG.RES

$(PROJ).DLL::	CAP_API.OBJ DIALOGS.OBJ DLKVID16.OBJ REGUTIL.OBJ $(OBJS_EXT) $(DEFFILE)
	echo >NUL @<<$(PROJ).CRF
CAP_API.OBJ +
DIALOGS.OBJ +
DLKVID16.OBJ +
REGUTIL.OBJ +
$(OBJS_EXT)
$(PROJ).DLL
$(MAPFILE)
$(LIBS)
$(DEFFILE);
<<
	link $(LFLAGS) @$(PROJ).CRF
	$(RC) $(RESFLAGS) BTVIDDLG.RES $@
	@copy $(PROJ).CRF MSVC.BND
	implib /nowep $(PROJ).LIB $(PROJ).DLL

$(PROJ).DLL::	BTVIDDLG.RES
	if not exist MSVC.BND 	$(RC) $(RESFLAGS) BTVIDDLG.RES $@

run: $(PROJ).DLL
	$(PROJ) $(RUNFLAGS)

$(PROJ).BSC: $(SBRS)
	bscmake @<<
/o$@ $(SBRS)
<<
