/* File: Util.cpp
 * Purpose: bunch of helpers
 * Author: sasha
 * $Log: util.cpp $
 * Revision 2.1  1996/06/10 20:13:20  ssm
 * MarkBeta1AsRev2
 */
#include <windows.h>

#pragma inline
#pragma warn -asm
void  CopyFrame( LPBYTE dst, LPBYTE src, DWORD dwSize )
{
   asm {
      pushad
      push     es
      push     ds
      mov      ecx, dword ptr dwSize

      // load src ptr
      mov      ax, word ptr src + 2
      mov      ds, ax
      movzx    esi, word ptr src

      // load dst ptr
      mov      ax, word ptr dst + 2
      mov      es, ax
      movzx    edi, word ptr dst

      // move up
      cld

      // move DWORD at a time
      sar      ecx, 2

      rep      movs dword ptr es:[edi], dword ptr ds:[esi]

      mov      ecx, dword ptr dwSize

      // do not forget any oddities
      and      ecx, 3
      rep      movs byte ptr es:[edi], byte ptr ds:[esi]

      pop      ds
      pop      es
      popad
   }

}
