// $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/Grappler/rcs/dynLink.h 1.3 1998/05/21 18:55:01 rudyl Exp $
// $Log: dynLink.h $
// Revision 1.3  1998/05/21 18:55:01  rudyl
// graft from 1.2.2.2.
// Revision 1.2.2.2  1998/05/21 18:54:10  rudyl
// Added Nicam support. Works with Philips TDA9874H only. ITT is next.
// Revision 1.2  1998/04/18 08:15:19  trang
// Modified to compile under MSVC.
// Revision 1.1  1998/02/21 01:30:39  dtharp
// Initial revision

// CUT_HERE

/////////////////////////////////////////////////////////////////////////////
//
//  Copyright (c) 1998 Brooktree Corporation
//
//  Module:
//
//    dynLink.h
//
//  Abstract:
//
//    Header for dynLink.cpp : Provides typesafe dynamic 
//                             linkage to BtVid_32 exports
//
/////////////////////////////////////////////////////////////////////////////

#ifndef DYNLINK_H
#define DYNLINK_H

#include <windows.h>
#include "retcode.h"
#include "Bt848fcn.h"
#include "Bt848api.h"

HINSTANCE InitDynamicLinkage(BOOL & bOk) ;

ErrorCode DlkBt848SetVideoSource( Connector conn );

ErrorCode DlkBt848GetVideoSource( Connector * conn );

ErrorCode DlkBt848SetBrightness( int brightness );

ErrorCode DlkBt848GetBrightness( int * brightness );

ErrorCode DlkBt848SetContrast( int contrast );

ErrorCode DlkBt848GetContrast( int * contrast );

ErrorCode DlkBt848SetHue( int hue );

ErrorCode DlkBt848GetHue( int * hue );

ErrorCode DlkBt848SetSaturation( int sat );

ErrorCode DlkBt848GetSaturation( int * sat );

ErrorCode DlkBt848PreChannelChange( int channel );

ErrorCode DlkBt848ChannelChanged( int channel );

// from Bt848api.h

void      DlkSetGPOE( DWORD value );

ErrorCode DlkSetGPDATABits( int fromBit, int toBit, DWORD value, int offset );

ErrorCode DlkSetGPIE( DWORD value );

ErrorCode DlkGetGPDATABits( int fromBit, int toBit, DWORD * value, int offset );

bool      DlkGPIOIsInitOK( void );

void      DlkSetGPIOMODE( GPIOMode mode );

bool      DlkI2CIsInitOK( void );

ErrorCode DlkI2CInitHWMode( long freq );

ErrorCode DlkI2CHWRead( BYTE address, BYTE *value );

ErrorCode DlkI2CHWWrite2( BYTE address, BYTE value1 );

ErrorCode DlkI2CHWWrite3( BYTE address, BYTE value1, BYTE value2 );

// --- TCZ
ErrorCode DlkI2CHWMultiWrite( BYTE address, BYTE sub, BYTE* block, int size );
ErrorCode DlkI2CHWMultiRead( BYTE address, BYTE sub, BYTE* block, int size );
// --- TCZ

BOOL      DlkIsBt878Family( void );

#endif