// $Header: G:/SwDev/W95/audio/dev/inc/rcs/def__.h 1.3 1997/07/22 00:54:52 tomz Exp $
// $Log: def__.h $
// Revision 1.3  1997/07/22 00:54:52  tomz
// Added some IOCTL calls to set up events
// Revision 1.2  1997/07/01 23:48:24  tomz
// Moving to single entrypoint, multiple command.
// Also fixing declarations to match BT848.
// Revision 1.1  1997/07/01 20:19:43  tomz
// Initial revision
// Revision 2.1  1996/06/10 20:12:02  ssm
// MarkBeta1AsRev2

/* CUT_HERE */

/////////////////////////////////////////////////////////////////////////////
//
//  Copyright (c) 1996 Brooktree Corporation. All Rights Reserved.
//
//  Module:
//
//    def__.h
//
//  Abstract:
//
//    Header file to define __BT848CLASS & __BT848FUNC for differnet compilers
//    and 16- & 32-bits platforms.
//
/////////////////////////////////////////////////////////////////////////////

#ifndef __DEF___H
#define __DEF___H


#if defined( _BUILD_BT848DLL ) || defined( _BUILD_BT878DLL )
   #pragma message("*** Building DLL - functions are exported")
   #ifdef __BORLANDC__
      #ifdef __FLAT__
         #define __BT848CLASS __export
         #define __BT848FUNC  __export __stdcall
      #else
         #define __BT848CLASS __export
         #define __BT848FUNC  __export  WINAPI
      #endif
   #else
      #define __BT848CLASS __declspec( dllexport )
      #define __BT848FUNC  __declspec( dllexport ) __stdcall
   #endif
#else
   #pragma message("*** Building application - functions are imported")
   #ifdef __BORLANDC__
      #pragma message("*** Using Borland C")
      #ifdef __FLAT__
         #pragma message("*** FLAT")
         #define __BT848CLASS __import
         #define __BT848FUNC  __import __stdcall
      #else
         #pragma message("*** not FLAT")
         #define __BT848CLASS __import
         #define __BT848FUNC  WINAPI
      #endif
   #else // Microsoft
      #pragma message("*** Using Microsoft C")
      #define __BT848CLASS __declspec( dllimport )
      #define __BT848FUNC  __declspec( dllimport ) __stdcall
   #endif
#endif

#define __BT878CLASS    __BT848CLASS
#define __BT878FUNC     __BT848FUNC

#endif // __DEF___H
