// VPAEC.h - include file for VxD VPAEC

#ifndef VPAEC_H
#define VPAEC_H

#include <vtoolsc.h>
#include "cam_defs.h"

#define VPAEC_DeviceID         0x3E21

#ifdef VXD_BUILD

// This information is required only when building the VxD

#define VPAEC_Major            0
#define VPAEC_Minor            11
#define VPAEC_Init_Order       UNDEFINED_INIT_ORDER

WORD VPAEC_ReadByteFunc( BYTE reg );
WORD VPAEC_WriteByteFunc( BYTE reg , BYTE val );
#endif


DWORD _cdecl VPAEC_Get_Version( void );
BOOL _cdecl VPAEC_Init( BOOL DoAEC, T_SIZE ImageSize, BOOL LoadDefaults , WORD VxDID , WORD ReadServiceID , WORD WriteServiceID );
void _cdecl VPAEC_Iterate( void );
void _cdecl VPAEC_Terminate( void );
BOOL _cdecl VPAEC_SetParam( T_VP_PARAM param , BYTE value );
BOOL _cdecl VPAEC_GetParam( T_VP_PARAM param , BYTE *ValuePtr );
void _cdecl VPAEC_DebugString( char *str );
BOOL _cdecl VPAEC_Is_Initialized();

Begin_VxD_Service_Table(VPAEC)
	VxD_Service(VPAEC_Get_Version)  
	VxD_Service(VPAEC_Init)  
	VxD_Service(VPAEC_Iterate)  
	VxD_Service(VPAEC_Terminate)  
	VxD_Service(VPAEC_SetParam)  
	VxD_Service(VPAEC_GetParam)  
	VxD_Service(VPAEC_DebugString)  
End_VxD_Service_Table

#endif
