// $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/Scaler/rcs/s_declar.h 2.2 1997/11/26 06:24:01 rudyl Released $
// $Log: s_declar.h $
// Revision 2.2  1997/11/26 06:24:01  rudyl
// Added support for Scotch but calculating of HDelay is always truncated
// instead of rounding up to even number (until HW fixed).
// Added CBSENSE since both odd and even values are allowed for HDelay.
// Revision 2.1  1996/06/10 20:12:40  ssm
// MarkBeta1AsRev2
// Revision 1.2  1996/05/02 22:10:02  rudyl
// Take care of the problem of VDelay register is reversed in hardware.
// That is odd reg is really even and vice versa.
// Revision 1.1  1996/05/02 16:59:51  rudyl
// Initial revision

/////////////////////////////////////////////////////////////////////////////
//
//  Copyright 1996 Brooktree Corporation
//
//  Module:
//
//    S_Declar.h
//
//  Abstract:
//
//    Declare register and register fields for Bt848 Scalar Registers
//
/////////////////////////////////////////////////////////////////////////////

#ifndef __S_DECLAR_H
#define __S_DECLAR_H

//===========================================================================
// Scaler registers
//===========================================================================
RegisterB regCROP;
RegField  fieldVDELAY_MSB;
RegField  fieldVACTIVE_MSB;
RegField  fieldHDELAY_MSB;
RegField  fieldHACTIVE_MSB;
RegisterB regVDELAY_LO;
RegisterB regVACTIVE_LO;
RegisterB regHDELAY_LO;
RegisterB regHACTIVE_LO;
RegisterB regHSCALE_HI;
RegField  fieldHSCALE_MSB;
RegisterB regHSCALE_LO;
RegisterB regSCLOOP;
RegField  fieldHFILT;
RegisterB regVSCALE_HI;
RegField  fieldVSCALE_MSB;
RegisterB regVSCALE_LO;
RegisterB regVTC;
RegField  fieldVFILT;
RegisterB regCONTROL;
RegField  fieldCBSENSE;
CompositeReg regVDelay;
CompositeReg regVActive;
CompositeReg regVScale;
CompositeReg regHDelay;
CompositeReg regHActive;
CompositeReg regHScale;

// Since VDelay register in hardware is reversed;
// i.e. odd reg is really even field and vice versa, need an extra cropping reg
// for the opposite field
RegisterB regReverse_CROP;

#endif   // __S_DECLAR_H
