// $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/TimGen/rcs/t_constr.h 1.2 1997/02/04 18:36:41 rudyl Released $
// $Log: t_constr.h $
// Revision 1.2  1997/02/04 18:36:41  rudyl
// First Pisces+ check in.
// Revision 1.1  1996/08/21 19:25:20  rudyl
// Initial revision

/////////////////////////////////////////////////////////////////////////////
//
//  Copyright 1996 Brooktree Corporation
//
//  Module:
//
//    T_Constr.h
//
//  Abstract:
//
//    Construct register and register fields for Bt848A/Bt849 Timing Generator
//    registers
//
/////////////////////////////////////////////////////////////////////////////

#ifndef __T_CONSTR_H
#define __T_CONSTR_H

#define CONSTRUCT_TIMGEN_REGISTERS \
timRegTGLB ( ( (0x20 + 0) * 4) + 0, RW ) ,\
timRegTGCTRL ( ( (0x21 + 0) * 4) + 0, RW ) ,\
timFieldTGCKO( timRegTGCTRL, 5, 2, RW) ,\
timFieldTGCKI( timRegTGCTRL, 3, 2, RW) ,\
timFieldTGC_AI( timRegTGCTRL, 2, 1, RW) ,\
timFieldTGC_AR( timRegTGCTRL, 1, 1, RW) ,\
timFieldTGC_VM( timRegTGCTRL, 0, 1, RW)

#endif   // __T_CONSTR_H
