/* File: Cliplist.h
 * Purpose: Clip / View List merge code
 * $Log: cliplist.h $
 * Revision 1.5  1997/06/01 17:06:48  dtharp
 * CombineLists now takes currCombinedList parameter.  This reduces
 * number of memory allocations. Also added several DebugAsserts().
 * Revision 1.4  1997/05/14 17:17:25  dtharp
 * Added #undef FAR to get rid of compiler warning.
 * Revision 1.3  1997/04/27 19:03:36  dtharp
 * Added fcn proto DumpList().
 * Revision 1.2  1997/04/25 16:34:30  dtharp
 * Added header
*/
#ifndef CLIPLIST_H
#define CLIPLIST_H
  #include <vtoolscp.h>
  #undef FAR
  #include <windows.h>
  #include "mytypes.h"

  void DumpList(LPSTR listName, RGNDATA * pRgnData) ;
  RGNDATA * CombineLists(RGNDATA * currCombinedList, RGNDATA & viewList, RGNDATA & clipList) ;

#endif