DWORD KeyDecriptObfuscated(LPSTR key)
{
   BYTE keyBuf[80], targetBuf[80] ;
      BYTE ckSum = 0, statedCkSum ; 
   BYTE * p, * dest, * pDest, * bp ;
   DWORD dwRet = 0 ;

   // Did we even get a key?
   if (key){
      // verify the checksum
      sscanf(&key[strlen(key)-2],"%x",&statedCkSum) ;
      key[ strlen(key)-2] = 0 ;
      pDest = (BYTE *) key ;
      while(*pDest)
         ckSum += *pDest++ ;

      if (ckSum == statedCkSum) {
          // extract the key
          int keyLen = key[0] - '0' ;
          p = (BYTE*) key ;
          dest = keyBuf;
          p++ ;
          for (int i = 0 ; i < keyLen; i++)
          {
             *dest++ = *p++ ;
             p++ ;
          }
          *dest = 0 ;

          // extract the target
          p = (BYTE *) key ;
          p += 2 ; // point at first byte of target
          dest = targetBuf;
          while (*p)
          {
             *dest++ = *p++ ;
             if ((p - (BYTE * ) key)/2 < strlen((char *)keyBuf))
                p++;
          }
          *dest = 0 ;

          // turn target into a number
          DWORD dwTarget ;
          sscanf((char *)targetBuf,"%x",&dwTarget) ;

          // decrypt the number
          bp = (BYTE *) & dwTarget ;
          for ( i = 0 ; i < sizeof(DWORD) ; i ++)
             *bp++ ^= keyBuf[i%strlen((char *)keyBuf)] ;

          dwRet = dwTarget & 0x80000000 ? -1 : dwTarget ;
      }
   }
   return dwRet ;
}

