// $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/Bt848_32/rcs/gpiotype.h 2.1 1996/06/10 20:12:03 ssm Released $
// $Log: gpiotype.h $
// Revision 2.1  1996/06/10 20:12:03  ssm
// MarkBeta1AsRev2
// Revision 1.2  1996/04/28 01:25:21  rudyl
// ver 1.00 - both I2C and GPIO are now objects of register class.
// Created a set of API wrapper functions to invoke member functions of the classes.
// Revision 1.1  1996/04/26 23:52:50  rudyl
// Initial revision

// CUT_HERE

/////////////////////////////////////////////////////////////////////////////
//
//  Copyright (c) 1996 Brooktree Corporation. All Rights Reserved.
//
//  Module:
//
//    GpioType.h
//
//  Abstract:
//
//    Header file for GPIO types
//
/////////////////////////////////////////////////////////////////////////////

#ifndef __GPIOTYPE_H
#define __GPIOTYPE_H


//===========================================================================
// TYPEDEFS for GPIO
//===========================================================================
#ifndef DWORD
typedef unsigned long   DWORD;
#endif

// GPIO modes
typedef enum { GPIO_NORMAL,
               GPIO_SPI_OUTPUT,
               GPIO_SPI_INPUT,
               GPIO_DEBUG_TEST } GPIOMode;

typedef DWORD GPIOReg;    // GPIO register type

#endif // __GPIOTYPE_H
