// $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/CapChip/rcs/Gemini.cpp 1.1 1997/10/21 00:35:49 rudyl Released $
// $Log: Gemini.cpp $
// Revision 1.1  1997/10/21 00:35:49  rudyl
// Initial revision


/////////////////////////////////////////////////////////////////////////////
//
//  Copyright 1997 Brooktree Division, Rockwell Semiconductor Systems
//
//  Module:
//
//    Gemini.cpp
//
//  Abstract:
//
//    Class implementation for BtGemini
//
/////////////////////////////////////////////////////////////////////////////

#include "Gemini.h"

/////////////////////////////////////////////////////////////////////////////
// Method:  void BtGemini::SetTotalLineCount( DWORD value )
// Purpose: Set expected total line count per frame for the decoder
// Input:   DWORD value - expected number of lines per frame
// Output:  None
// Return:  None
/////////////////////////////////////////////////////////////////////////////
void BtGemini::SetTotalLineCount( DWORD value )
{
   GetDecoder().SetLineCount( SignalFormat( value ) );
}

/////////////////////////////////////////////////////////////////////////////
// Method:  void BtGemini::GetTotalLineCount( PDWORD pData )
// Purpose: Get expected total line count per frame for the decoder
// Input:   None
// Output:  PDWORD pData - address to receive expected number of lines per frame
// Return:  None
/////////////////////////////////////////////////////////////////////////////
void BtGemini::GetTotalLineCount( PDWORD pData )
{
   *pData = GetDecoder().GetLineCount();
}

