// $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/CapChip/rcs/Scotch.h 1.1 1998/03/28 01:34:00 rudyl Exp $
// $Log: Scotch.h $
// Revision 1.1  1998/03/28 01:34:00  rudyl
// Initial revision

/////////////////////////////////////////////////////////////////////////////
//
//  Copyright (C) 1998 Brooktree Division, Rockwell Semiconductor Systems
//
//  Module:
//
//    Scotch.h
//
//  Abstract:
//
//    Class definition for BtScotch
//
/////////////////////////////////////////////////////////////////////////////

#ifndef __SCOTCH_H
#define __SCOTCH_H

/////////////////////////////////////////////////////////////////////////////
// CLASS BtScotch
//
// Description:
//    Class definition for the Scotch video processing chip.
//
// Attributes:
//
// Methods:
// 	void Inited()
//    bool IsInited()
//      
//		virtual void WaitLoop( DWORD howlong )
//		virtual BOOL WaitVP( BYTE reg, BYTE bitNo, BOOL onoff, DWORD timeout )
//		virtual BOOL InitVP( void )
//
/////////////////////////////////////////////////////////////////////////////

class BtScotch
{
   private:
      bool Inited_;

   public:
      // Constructor
      BtScotch();

      // Destructor
      ~BtScotch();

		// Methods
      void Inited() { Inited_ = true; }
      bool IsInited() { return Inited_; }
      
		virtual void WaitLoop( DWORD howlong );
		virtual BOOL WaitVP( BYTE reg, BYTE bitNo, BOOL onoff, DWORD timeout );
		virtual BOOL InitVP( void );
};

#endif	// __SCOTCH_H
