// $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/capdrv/rcs/CONFIG.H 2.7 1998/03/04 23:31:38 rudyl Exp $

// $Log: CONFIG.H $
// Revision 2.7  1998/03/04 23:31:38  rudyl
// Don't have a spearate QSight setup dlg anymore. Added to vid source dlg.
// Revision 2.6  1998/02/28 01:52:54  rudyl
// Removed FrameRate selection for QuartzSight.
// Revision 2.5  1998/02/26 20:11:30  rudyl
// Just added comments
// Revision 2.4  1998/02/24 20:17:22  rudyl
// Graft from 2.3.3.2.
// Revision 2.3.3.2  1998/02/24 20:17:03  rudyl
// Added resources for QuartzSight camera setup dialog.
// Revision 2.3.3.1  1998/02/12 02:50:13  rudyl
// Implemented Rob Tilton's QuartzSight dialog box. But still unable to talk to Scotch.
// Revision 2.3  1997/05/05 17:56:52  dtharp
// 848A Merge: from 2.2.1.3
// Revision 2.2.1.3  1997/02/14 23:40:10  rudyl
// Removed all #ifdef BT848A. Use same binary files for both Bt848 and Bt848A.
// Revision 2.2.1.2  1997/02/03 23:39:54  rudyl
// First Pisces+ check in.
// Revision 2.2.1.1  1997/01/31 18:35:19  rudyl
// Start Pisces+ work.
// Revision 2.2  1996/12/06 22:28:10  meierdw
// Grafting 2.1.1;  NTSC-Japan support added.
// Revision 2.1.1.2  1996/11/08 18:52:28  rudyl
// Added NTSC-Japan, PAL-M & PAL-N formats.
// Revision 2.1.1.1  1996/11/07 22:18:33  rudyl
// Start work to add NTSC-Japan, PAL-M & PAL-N formats.
// Revision 2.1  1996/06/10 20:12:56  ssm
// MarkBeta1AsRev2

//////////////////////////////////////////////

/* CUT_HERE */

/* config.h */

#ifndef __CONFIG_H
#define __CONFIG_H

// Video Configuration dialog

#define DLG_VIDEOCONFIG             100

// Video Format dialog

#define DLG_VIDEOFORMAT             200

#define ID_LBIMAGEFORMAT            201

#define ID_PBSIZEFULL               202
#define ID_PBSIZEHALF               203
#define ID_PBSIZEQUARTER            204
#define ID_PBSIZEEIGHTH             205
#define ID_LBSIZE                   206

// Video Source dialog

#define DLG_VIDEOSOURCE             300
#define ID_SBBRIGHTNESS	            301
#define ID_SBCONTRAST	            302
#define ID_SBSATURATION	            303
#define ID_SBHUE	                  304
#define ID_SBGAMMA	               305
#define ID_EBBRIGHTNESS	            306
#define ID_EBCONTRAST	            307
#define ID_EBSATURATION	            308
#define ID_EBHUE	                  309
#define ID_RBSOURCE0	               310
#define ID_RBSOURCE1	               311
#define ID_RBSOURCE2	               312
#define ID_RBSOURCE3                313
#define ID_CBSTANDARD               314
#define ID_CBCAMERA                 315
#define ID_RBNTSC                   316
#define ID_RBNTSC_J                 317
#define ID_RBPAL                    318
#define ID_RBPAL_M                  319
#define ID_RBPAL_N                  320
#define ID_RBSECAM                  321
#define ID_PBCAMSETUP               322

// QuartzSight Camera related controls
#define ID_SBQSBRIGHTNESS           501
#define ID_SBQSSATURATION           502
#define ID_SBQSHUE                  503
#define ID_SBQSGAMMA                504
#define ID_SBQSSHARPNESS            505
#define ID_EBQSBRIGHTNESS           506
#define ID_EBQSSATURATION           507
#define ID_EBQSHUE                  508
#define ID_EBQSGAMMA                509
#define ID_EBQSSHARPNESS            510
#define ID_RBQS50HZ                 511   // requires IDs in consecutive orders - begin
#define ID_RBQS60HZ                 512   // requires IDs in consecutive orders - end
#define ID_RBQSNORMAL               513   // requires IDs in consecutive orders - begin
#define ID_RBQSBACKLIGHT            514   // requires IDs in consecutive orders - end

#define ID_PBDEFAULT                520
#define ID_HELP                     521

// Help IDs
#define IDH_VIDEO_CONNECT           3000
#define IDH_VIDEO_STANDARD          3100
#define IDH_IMAGE_FORMAT            3500
#define IDH_SIZE                    3400

#define SETTINGS_DLG	   400
#define ID_CONNECTOR    401
#define ID_STANDARD	   402
#define ID_BRIGHTNESS   403
#define ID_HUE          404
#define ID_SATURATION   405
#define ID_FORMAT       406
#define ID_CONTRAST     407
#define ID_IMAGE_SIZE   408
#define ID_IMAGE_FORMAT 409
#define ID_SVIDEO       410

#define IDS_HELPFILE	1

#endif // __CONFIG_H
