/*
 *
 *  Author:  Tom Tran
 *  File:    cc_inst.h
 *  Purpose: Defines the CC instrumentation structure.
 *
*/
/* PVCS Muck:
 * $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/CC/rcs/cc_inst.h 1.1 1997/02/05 22:51:50 dtharp Released $
 * $Revision: 1.1 $
 * $Date: 1997/02/05 22:51:50 $
 * $Author: dtharp $
 * $Archive:  $
 * $Log: cc_inst.h $
 * Revision 1.1  1997/02/05 22:51:50  dtharp
 * Initial revision
 *
 */


#ifndef _CC_INST_H
#define _CC_INST_H

#define NUM_POINTS 19

typedef struct tagCC_INST
{
    BYTE    *b1;            // First byte value
    BYTE    *b2;            // Second byte value
    BOOL    bParity1;       // First parity value
    BOOL    bParity2;       // Second parity value
    int     *nHorizLength;  // Horizontal length
    DWORD   *dwBitWidth;    // Bit width
    int     *npSamplePoints;
} CC_INST, far *FPCC_INST;


#endif
