/****************************************************************************/
/***** Copyright (c) Brooktree Corporation, 1996. All Rights Reserved *******/
/****************************************************************************/
/*                                                                          */
/*                      BROOKTREE CONFIDENTIAL                              */
/*                                                                          */
/* Filename:    FILTER.HPP                                                  */
/*                                                                          */
/* Description: Closed caption decode IIR Filter Class Definition           */
/*                                                                          */
/*                                                                          */
/* Author:      Dave Tharp                                                  */
/*                                                                          */
/****************************************************************************/
/* PVCS Muck:
 * $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/CC/rcs/filter.hpp 1.3 1997/06/27 17:04:30 dtharp Released $
 * $Revision: 1.3 $
 * $Date: 1997/06/27 17:04:30 $
 * $Author: dtharp $
 * $Archive:  $
 * $Log: filter.hpp $
 * Revision 1.3  1997/06/27 17:04:30  dtharp
 * Moved global variables and functions into class in attempt to solve
 * re-entrancy problem.
 * Revision 1.2  1997/01/17 01:20:18  dtharp
 * Merged new cc decoder branch.
 * Revision 1.1.1.2  1996/12/10 23:16:47  dtharp
 * New filter implementation: IIR filter.
 *
 */
#include <windows.h>

#ifndef FILTER_HPP
#define FILTER_HPP

#define N_TAPS 4
typedef float MathType ;

class Filter {
private:
  MathType yTaps[N_TAPS] ;

public:
   Filter() {};
   ~Filter()  { };

   void Apply(BYTE * data, int nPoints) ;
} ;

#endif

// EOF