# $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/Grappler/rcs/grappler.mak 2.14 1998/05/21 23:08:07 rudyl Exp $
# $Log: grappler.mak $
# Revision 2.14  1998/05/21 23:08:07  rudyl
# Added nicam stuffs.
# Revision 2.13  1998/04/18 08:23:39  trang
# Modified to compile under Borland.
# 

# CUT_HERE

#////////////////////////////////////////////////////////////////////////////
#
#  Copyright (c) 1998 Brooktree Corporation. All Rights Reserved.
#
#  Module:
#
#    makefile
#
#  Abstract:
#
#    Makefile for Grappler.DLL
#
#  Note:
#
#    Borland C++ IDE generated makefile
#
#///////////////////////////////////////////////////////////////////////////


.AUTODEPEND

#######################################################
# bt tools
BTSWTOOLS=$(SWTOOLSD)
BTGDK=$(BTSWTOOLS)\\GDK
BTBIN = $(BTSWTOOLS)\\BIN

# bt borland
BTBC = $(BTSWTOOLS)\\BC5
BTBCBIN = $(BTBC)\\bin
BTBCINCLUDE = $(BTBC)\\INCLUDE;..\\..\\dev\\inc
BTBCLIB = $(BTBC)\\LIB

INCLUDE = $(BTBC)\\INCLUDE
include = "$(INCLUDE)"
LIB = $(BTBC)\\LIB

BRCINCLUDE = $(SWTOOLSD)\bc5\include

#
# Borland C++ tools
#
BCC32   = $(BTBCBIN)\Bcc32 +BccW32.cfg
TLINK32 = $(BTBCBIN)\TLink32
BRC32   = $(BTBCBIN)\Brc32 -I$(BRCINCLUDE)
TASM32  = $(BTBIN)\Tasm32
IMPLIB  = $(BTBCBIN)\Implib
TLIB    = $(BTBCBIN)\TLib

TASM32  = $(BTBIN)\Tasm32
Thunk Compiler = $(BTBIN)\thunk.exe
MASM = $(BTBIN)\ml.exe


#
# Options
#
Linker Options =  -Tpd -aa -c -x /V4.0
RLATW32_grapplerdlib =  -w32
BLATW32_grapplerdlib = 
REAT_grapplerdlib = $(RLATW32_grapplerdlib)
BEAT_grapplerdlib = $(BLATW32_grapplerdlib)

#
# Dependency List
#
Dep_grappler = \
   grappler.lib

grappler : BccW32.cfg $(Dep_grappler)
  echo MakeNode 

grappler.lib : grappler.dll
  $(IMPLIB) $@ grappler.dll


Dep_grapplerddll = \
   btVid_32.lib\
   interfac.obj\
   tuner.obj\
   dynLink.obj\
   dactl.obj\
   grappler.res\
   grappler.def

grappler.dll : $(Dep_grapplerddll)
  $(TLINK32) @&&|
  $(Linker Options) +
   $(BTBCLIB)\c0d32.obj+
   interfac.obj+
   dynLink.obj+
   dactl.obj+
   tuner.obj
   $<,$*
   $(BTBCLIB)\import32.lib+
   $(BTBCLIB)\cw32.lib
   grappler.def
|
   $(BRC32) grappler.res $<

dynLink.obj :  dynLink.cpp
  $(BCC32) -c @&&|
 $(CEAT_grapplerdlib) -o$@ dynLink.cpp
|

dactl.obj :  dactl.cpp
  $(BCC32) -c @&&|
 $(CEAT_grapplerdlib) -o$@ dactl.cpp
|

interfac.obj :  interfac.cpp
  $(BCC32) -c @&&|
 $(CEAT_grapplerdlib) -o$@ interfac.cpp
|

tuner.obj :  tuner.cpp
  $(BCC32) -c @&&|
 $(CEAT_grapplerdlib) -o$@ tuner.cpp
|

grappler.res :  grappler.rc
	sed -e "s/AAA.BBB.CCC.DDD/${VERSIONSTRING}/" grappler.rc > version.rc
	$(BRC32) $(REAT_grapplerdlib) -R -FO$@ version.rc


# Compiler configuration file
BccW32.cfg : grappler.mak
   Copy &&|
-R
-I$(BTBCINCLUDE);..\INCLUDE;..\bt848_32;..\register
-DSTRICT;WIN40
-Ot
-ps
-Z
-O
-Oe
-Ol
-Ob
-Om
-Op
-Oi
-Ov
-Og
-x-
-xd-
-RT-
-R-
-k-
-Oa
-b
-d
-f-
-WDE
-C-
-H=GRAPPLER.CSM
-N-
-5
| $@


