/*
   File: debug.h
   Purpose: Contains definitions of the variuos debugging macros
   Author: sasha
 * $Log: DBG.H $
 * Revision 2.1  1996/06/10 20:13:27  ssm
 * MarkBeta1AsRev2
 * Revision 1.3  1995/09/04 20:38:42  sasha
 * First major check-in for testing
 * Revision 1.2  1995/09/04 12:38:42  sasha
 * Just to make Mike happy
 * Revision 1.1  1995/09/04 05:38:42  sasha
 * Initial revision
 * Revision 1.1  1995/07/29 01:13:28  SASHA
 * Initial revision
*/

#ifndef __DBG_H
#define __DBG_H

#if defined DEBUG
   #if defined VXD
      #define OUTPUT_MESS( x ) { DEBUGTRACE( x ); DebugBreak(); }
   #else
      #define OUTPUT_MESS( x ) OutputDebugString( x )

      #define D1(sz) OutputDebugString("\r\nPCVideo: "),OutputDebugString(sz)
      #define D2(sz) OutputDebugString(" "),OutputDebugString(sz)
      #define D3(sz) OutputDebugString(" "),OutputDebugString(sz)
      #define D4(sz) OutputDebugString(" "),OutputDebugString(sz)

   #endif
#else
   #define OUTPUT_MESS( a )

   #define D1(sz) ((void*)0)
   #define D2(sz) ((void*)0)
   #define D3(sz) ((void*)0)
   #define D4(sz) ((void*)0)

#endif

#define ALLFS "Returning all Fs\n\r"



#endif __DBG_H