/* File: Fourcc.h
 * Purpose: Defines the fourcc values supported by the Bt848 drivers
 * Author: sasha
 *$Log: fourcc.h $
 *Revision 1.2  1996/10/04 19:00:09  dtharp
 *Fixed typo in #ifndef protection
 *Revision 1.1  1996/10/03 20:52:07  sasha
 *Initial revision
*/

#ifndef __FOURCC_H
#define __FOURCC_H

#define FCC_YUY2    mmioFOURCC( 'Y', 'U', 'Y', '2' )
#define FCC_Y41P    mmioFOURCC( 'Y', '4', '1', 'P' )
#define FCC_Y8      mmioFOURCC( 'Y', '8', ' ', ' ' )
#define FCC_422     mmioFOURCC( '4', '2', '2', ' ' )
#define FCC_411     mmioFOURCC( '4', '1', '1', ' ' )
#define FCC_YVU9    mmioFOURCC( 'Y', 'V', 'U', '9' )
#define FCC_YV12    mmioFOURCC( 'Y', 'V', '1', '2' )
#define FCC_VBI     mmioFOURCC( 'V', 'B', 'I', ' ' )
#define FCC_UYVY    mmioFOURCC( 'U', 'Y', 'V', 'Y' )
#define FCC_RAW     mmioFOURCC( 'R', 'A', 'W', ' ' )
#define FCC_I420    mmioFOURCC( 'I', '4', '2', '0' )

#endif