/* File: Retcode.h
 * Purpose: Contains definitions of the return values returned by Pisces SW
 * Author: sasha
 * $Log: retcode.h $
 * Revision 2.2  1997/05/05 17:44:20  dtharp
 * 848A Merge: from 2.1.1.3
 * Revision 2.1.1.3  1997/02/14 23:49:39  rudyl
 * Removed all #ifdef BT848A. Use same binary files for both Bt848 and Bt848A.
 * Revision 2.1.1.2  1997/02/11 23:53:22  rudyl
 * Added PCI check for Bt848A existence.
 * Revision 2.1.1.1  1997/02/10 20:03:41  rudyl
 * Pisces+: add more return codes.
 * Revision 2.1  1996/06/10 20:13:43  ssm
 * MarkBeta1AsRev2
 */

/* CUT_HERE */

/* File: Retcode.h */

#ifndef __RETCODE_H
#define __RETCODE_H

/* Type: ErrorCode
 * Purpose: Defines the error codes
 */
typedef enum { Success, Fail, Err_WrongHardware } ErrorCode;
#define ERROR_CODE_DEFINED



#endif
