/* File: Xception.h
 * Purpose: Defines the XMSG class - a generic exception object
 * Author: sasha
 * $Log: xception.h $
 * Revision 2.1  1996/06/10 20:13:44  ssm
 * MarkBeta1AsRev2
 * Revision 1.2  1995/09/03 07:19:28  sasha
 * Just to make Mike happy
 * Revision 1.1  1995/09/03 00:19:28  sasha
 * Initial revision
 */
#ifndef __XCEPTION_H
#define __XCEPTION_H

#ifndef __STRING_H
#include <string.h>
#endif

/*^^*-----------------------------------------
 * Class: XMSG
 * Purpose: this is a generic exception class
 * Attributes:
 *          msg_: char [255]
 *^^*-----------------------------------------*/
class XMSG
{
   protected:
      char  msg_ [255];
      UINT uID_;
      XMSG() {}
      XMSG( const char const *str ) { strncpy( msg_, str, sizeof( msg_ ) - 1 ); }
   public:
      XMSG( UINT uID ) {
         if ( !LoadString( GetOurInstance(), uID, msg_, sizeof( msg_ ) ) )
            strcpy( msg_, "BtPisces: Error" );
         uID_ = uID;
      }
      operator const char far*() { return msg_; }
      operator char far*() { return msg_; }
      operator int() { return sizeof( msg_ ); }
      UINT GetID() { return uID_; }
};

#endif __XCEPTION_H
