	page	,132
	.listall

;Thunk Compiler Version 1.8  May 11 1995 13:16:19
;File Compiled Wed Jun 03 09:24:27 1998

;Command Line: d:\swtools\BIN\thunk.exe -t UTIL ..\thunks\util_t32.thk -o ..\thunks\util_t32.asm 

	TITLE	$..\thunks\util_t32.asm

	.386
	OPTION READONLY


IFNDEF IS_16
IFNDEF IS_32
%out command line error: specify one of -DIS_16 -DIS_32
.err
ENDIF
ENDIF
IFDEF IS_16
IFDEF IS_32
%out command line error: you can't specify both -DIS_16 and -DIS_32
.err
ENDIF

	OPTION SEGMENT:USE16
	.model LARGE,PASCAL

externDef Thunk_RegUtilSetBinValue:far16
externDef Thunk_RegUtilQueryBinValue:far16
externDef Thunk_RegUtilSetValue:far16
externDef Thunk_RegUtilQueryValue:far16
externDef Thunk_RegUtilCreateKey:far16

externDef C16ThkSL01:far16


	.data

public UTIL_ThunkData16	;This symbol must be exported.
UTIL_ThunkData16	dd	31304c53h	;Protocol 'SL01'
	dd	067fdh	;Checksum
	dd	0		;Flags.
	dd	0		;RESERVED. MUST BE ZERO.
	dd	0		;RESERVED. MUST BE ZERO.
	dd	0		;RESERVED. MUST BE ZERO.
	dd	0		;RESERVED. MUST BE ZERO.
	dd	3130424ch	;Late-binding signature 'LB01'
	dd	080000000h		;More flags.
	dd	0		;RESERVED. MUST BE ZERO.
	dw	offset UTIL_ThunkData16ApiDatabase
	dw	   seg UTIL_ThunkData16ApiDatabase


;; Api database. Each entry == 8 bytes:
;;  byte  0:     # of argument bytes.
;;  byte  1,2,3: Reserved: Must initialize to 0.
;;  dword 4:	 error return value.
public UTIL_ThunkData16ApiDatabase
UTIL_ThunkData16ApiDatabase	label	dword
	db	14
	db	0,0,0
	dd	0
	db	16
	db	0,0,0
	dd	0
	db	8
	db	0,0,0
	dd	0
	db	12
	db	0,0,0
	dd	0
	db	4
	db	0,0,0
	dd	0




	.code 


externDef ThunkConnect16:far16

public UTIL_ThunkConnect16
UTIL_ThunkConnect16:
	pop	ax
	pop	dx
	push	seg    UTIL_ThunkData16
	push	offset UTIL_ThunkData16
	push	seg    UTIL_TD32Label
	push	offset UTIL_TD32Label
	push	cs
	push	dx
	push	ax
	jmp	ThunkConnect16
UTIL_TD32Label label byte
	db	"UTIL_ThunkData32",0


Thunk_RegUtilSetBinValue label far16
	mov	cx,0			; offset in jump table
	jmp	UTILEntryCommon

Thunk_RegUtilQueryBinValue label far16
	mov	cx,4			; offset in jump table
	jmp	UTILEntryCommon

Thunk_RegUtilSetValue label far16
	mov	cx,8			; offset in jump table
	jmp	UTILEntryCommon

Thunk_RegUtilQueryValue label far16
	mov	cx,12			; offset in jump table
	jmp	UTILEntryCommon

Thunk_RegUtilCreateKey label far16
	mov	cx,16			; offset in jump table
	jmp	UTILEntryCommon

;===========================================================================
; This is the common setup code for 16=>32 thunks.
;
; Entry:  cx  = offset in flat jump table
;
; Don't optimize this code: C16ThkSL01 overwrites it
; after each discard.

align
UTILEntryCommon:
	db	0ebh, 030	;Jump short forward 30 bytes.
;;; Leave at least 30 bytes for C16ThkSL01's code patching.
	db	30 dup(0cch)	;Patch space.
	push	seg    UTIL_ThunkData16
	push	offset UTIL_ThunkData16
	pop	edx
	push	cs
	push	offset UTILEntryCommon
	pop	eax
	jmp	C16ThkSL01

ELSE	; IS_32
	.model FLAT,STDCALL

externDef STDCALL K32Thk1632Prolog@0:near32
externDef STDCALL K32Thk1632Epilog@0:near32
externDef STDCALL Thunk_RegUtilSetBinValue@16:near32
externDef STDCALL Thunk_RegUtilQueryBinValue@16:near32
externDef STDCALL Thunk_RegUtilSetValue@8:near32
externDef STDCALL Thunk_RegUtilQueryValue@12:near32
externDef STDCALL Thunk_RegUtilCreateKey@4:near32

MapSLFix		proto	STDCALL  :DWORD
MapSL		proto	STDCALL  :DWORD
UnMapSLFixArray		proto	STDCALL  :DWORD, :DWORD
externDef	MapHInstSL:near32
externDef	MapHInstSL_PN:near32
externDef	MapHInstLS:near32
externDef	MapHInstLS_PN:near32
externDef T_THUNK_REGUTILSETBINVALUE:near32
externDef T_THUNK_REGUTILQUERYBINVALUE:near32
externDef T_THUNK_REGUTILSETVALUE:near32
externDef T_THUNK_REGUTILQUERYVALUE:near32
externDef T_THUNK_REGUTILCREATEKEY:near32

;===========================================================================
	.code 


; This is a jump table to API-specific flat thunk code.

align
UTIL_JumpTable label dword
	dd	offset FLAT:T_THUNK_REGUTILSETBINVALUE
	dd	offset FLAT:T_THUNK_REGUTILQUERYBINVALUE
	dd	offset FLAT:T_THUNK_REGUTILSETVALUE
	dd	offset FLAT:T_THUNK_REGUTILQUERYVALUE
	dd	offset FLAT:T_THUNK_REGUTILCREATEKEY

UTIL_ThunkDataName label byte
	db	"UTIL_ThunkData16",0

	.data

public UTIL_ThunkData32	;This symbol must be exported.
UTIL_ThunkData32	dd	31304c53h	;Protocol 'SL01'
	dd	067fdh	;Checksum
	dd	0	;Reserved (MUST BE 0)
	dd	0	;Flat address of ThunkData16
	dd	3130424ch	;'LB01'
	dd	0	;Flags
	dd	0	;Reserved (MUST BE 0)
	dd	0	;Reserved (MUST BE 0)
	dd	offset UTIL_JumpTable - offset UTIL_ThunkDataName



	.code 


externDef ThunkConnect32@24:near32

public UTIL_ThunkConnect32@16
UTIL_ThunkConnect32@16:
	pop	edx
	push	offset UTIL_ThunkDataName
	push	offset UTIL_ThunkData32
	push	edx
	jmp	ThunkConnect32@24


;===========================================================================
; Common routines to restore the stack and registers
; and return to 16-bit code.  There is one for each
; size of 16-bit parameter list in this script.

align
ExitFlat_4:
	mov	cl,4		; parameter byte count
	mov	esp,ebp		; point to return address
	retn			; return to dispatcher

align
ExitFlat_8:
	mov	cl,8		; parameter byte count
	mov	esp,ebp		; point to return address
	retn			; return to dispatcher

align
ExitFlat_12:
	mov	cl,12		; parameter byte count
	mov	esp,ebp		; point to return address
	retn			; return to dispatcher

align
ExitFlat_14:
	mov	cl,14		; parameter byte count
	mov	esp,ebp		; point to return address
	retn			; return to dispatcher

align
ExitFlat_16:
	mov	cl,16		; parameter byte count
	mov	esp,ebp		; point to return address
	retn			; return to dispatcher

;===========================================================================
T_THUNK_REGUTILSETBINVALUE label near32

; ebx+34   lSize
; ebx+30   cbData
; ebx+26   szKeyName
; ebx+22   szValueName

;-------------------------------------
; temp storage

	xor	eax,eax
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
; cbData inline mapping
; szKeyName inline mapping
; szValueName inline mapping
;-------------------------------------
; *** BEGIN parameter packing

; cbData
; pointer char --> char
; inline mapping

; szKeyName
; pointer char --> char
; inline mapping

; szValueName
; pointer char --> char
; inline mapping

; *** END   parameter packing
;-------------------------------------
; create new call frame and make the call

; szValueName  from: char
	mov	eax, [ebx+22]		; base address
	mov	[esp + 0],eax
	push	eax
	call	MapSLFix	
	push	eax

; szKeyName  from: char
	mov	eax, [ebx+26]		; base address
	mov	[esp + 8],eax
	push	eax
	call	MapSLFix	
	push	eax

; cbData  from: char
	mov	eax, [ebx+30]		; base address
	mov	[esp + 16],eax
	push	eax
	call	MapSLFix	
	push	eax

; lSize  from: short
	movsx	eax,word ptr [ebx+34]
	push	eax			; to: long

	call	K32Thk1632Prolog@0
	call	Thunk_RegUtilSetBinValue@16		; call 32-bit version
	call	K32Thk1632Epilog@0

; return code unsigned long --> unsigned long
	mov	edx,eax
	rol	edx,16

	lea	ecx, [esp+0]
	push	ecx
	push	dword ptr 3
	call	UnMapSLFixArray	;! Preserves eax & edx
;-------------------------------------
	jmp	ExitFlat_14

;===========================================================================
T_THUNK_REGUTILQUERYBINVALUE label near32

; ebx+34   plSize
; ebx+30   cbData
; ebx+26   szKeyName
; ebx+22   szValueName

;-------------------------------------
; temp storage

	xor	eax,eax
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
	push	eax			; ptr param #1   plSize
; cbData inline mapping
; szKeyName inline mapping
; szValueName inline mapping
;-------------------------------------
; *** BEGIN parameter packing

; plSize
; pointer short --> long
	sub	esp,4			; plSize alloc space on stack

	mov	eax,[ebx+34]		; base address
	or	eax,eax
	jz	L0			; skip if null

	mov	[esp + 8],eax
	push	eax
	call	MapSLFix	
	movsx	eax,word ptr [eax]
	mov	[esp],eax
	mov	[esp+4],esp		; save pointer to flat storage
L0:

; cbData
; pointer char --> char
; inline mapping

; szKeyName
; pointer char --> char
; inline mapping

; szValueName
; pointer char --> char
; inline mapping

; *** END   parameter packing
;-------------------------------------
; create new call frame and make the call

; szValueName  from: char
	mov	eax, [ebx+22]		; base address
	mov	[esp + 12],eax
	push	eax
	call	MapSLFix	
	push	eax

; szKeyName  from: char
	mov	eax, [ebx+26]		; base address
	mov	[esp + 20],eax
	push	eax
	call	MapSLFix	
	push	eax

; cbData  from: char
	mov	eax, [ebx+30]		; base address
	mov	[esp + 28],eax
	push	eax
	call	MapSLFix	
	push	eax

; plSize  from: short
	push	dword ptr [esp+16]	; to: long

	call	K32Thk1632Prolog@0
	call	Thunk_RegUtilQueryBinValue@16		; call 32-bit version
	call	K32Thk1632Epilog@0

; return code unsigned long --> unsigned long
	mov	edx,eax
	rol	edx,16

;-------------------------------------
; *** BEGIN parameter unpacking

	push	eax			; save return code
	push	edx			; save return code

; plSize
; pointer long --> short
	mov	eax,[ebx+34]		; base address
	or	eax,eax
	jz	L1			; skip if null

	mov	eax,[esp+12]		; get the flat address
	mov	edi,[eax]		; get the flat data
	mov	eax,dword ptr [ebx+34]
	mov	[esp + 32],eax
	push	eax
	call	MapSLFix	
	mov	word ptr [eax],di	; copy out
L1:
; cbData
; pointer char --> char
	mov	eax,[ebx+30]		; base address
	or	eax,eax
	jz	L2			; skip if null

L2:
	pop	edx			; restore return code
	pop	eax			; restore return code

; *** END   parameter packing
	lea	ecx, [esp+8]
	push	ecx
	push	dword ptr 5
	call	UnMapSLFixArray	;! Preserves eax & edx
;-------------------------------------
	jmp	ExitFlat_16

;===========================================================================
T_THUNK_REGUTILSETVALUE label near32

; ebx+26   szSubKeyName
; ebx+22   szValue

;-------------------------------------
; temp storage

	xor	eax,eax
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
; szSubKeyName inline mapping
; szValue inline mapping
;-------------------------------------
; *** BEGIN parameter packing

; szSubKeyName
; pointer char --> char
; inline mapping

; szValue
; pointer char --> char
; inline mapping

; *** END   parameter packing
;-------------------------------------
; create new call frame and make the call

; szValue  from: char
	mov	eax, [ebx+22]		; base address
	mov	[esp + 0],eax
	push	eax
	call	MapSLFix	
	push	eax

; szSubKeyName  from: char
	mov	eax, [ebx+26]		; base address
	mov	[esp + 8],eax
	push	eax
	call	MapSLFix	
	push	eax

	call	K32Thk1632Prolog@0
	call	Thunk_RegUtilSetValue@8		; call 32-bit version
	call	K32Thk1632Epilog@0

; return code unsigned long --> unsigned long
	mov	edx,eax
	rol	edx,16

	lea	ecx, [esp+0]
	push	ecx
	push	dword ptr 2
	call	UnMapSLFixArray	;! Preserves eax & edx
;-------------------------------------
	jmp	ExitFlat_8

;===========================================================================
T_THUNK_REGUTILQUERYVALUE label near32

; ebx+30   szSubKeyName
; ebx+26   szValue
; ebx+22   plSize

;-------------------------------------
; temp storage

	xor	eax,eax
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
	push	eax	;MapLS unfix temp
; szSubKeyName inline mapping
; szValue inline mapping
; plSize inline mapping
;-------------------------------------
; *** BEGIN parameter packing

; szSubKeyName
; pointer char --> char
; inline mapping

; szValue
; pointer char --> char
; inline mapping

; plSize
; pointer long --> long
; inline mapping

; *** END   parameter packing
;-------------------------------------
; create new call frame and make the call

; plSize  from: long
	mov	eax, [ebx+22]		; base address
	mov	[esp + 0],eax
	push	eax
	call	MapSLFix	
	push	eax

; szValue  from: char
	mov	eax, [ebx+26]		; base address
	mov	[esp + 8],eax
	push	eax
	call	MapSLFix	
	push	eax

; szSubKeyName  from: char
	mov	eax, [ebx+30]		; base address
	mov	[esp + 16],eax
	push	eax
	call	MapSLFix	
	push	eax

	call	K32Thk1632Prolog@0
	call	Thunk_RegUtilQueryValue@12		; call 32-bit version
	call	K32Thk1632Epilog@0

; return code unsigned long --> unsigned long
	mov	edx,eax
	rol	edx,16

;-------------------------------------
; *** BEGIN parameter unpacking

	push	eax			; save return code
	push	edx			; save return code

; szValue
; pointer char --> char
	mov	eax,[ebx+26]		; base address
	or	eax,eax
	jz	L3			; skip if null

L3:
; plSize
; pointer long --> long
	mov	eax,[ebx+22]		; base address
	or	eax,eax
	jz	L4			; skip if null

L4:
	pop	edx			; restore return code
	pop	eax			; restore return code

; *** END   parameter packing
	lea	ecx, [esp+0]
	push	ecx
	push	dword ptr 3
	call	UnMapSLFixArray	;! Preserves eax & edx
;-------------------------------------
	jmp	ExitFlat_12

;===========================================================================
T_THUNK_REGUTILCREATEKEY label near32

; ebx+22   szKeyName

;-------------------------------------
; temp storage

	xor	eax,eax
	push	eax	;MapLS unfix temp
; szKeyName inline mapping
;-------------------------------------
; *** BEGIN parameter packing

; szKeyName
; pointer char --> char
; inline mapping

; *** END   parameter packing
;-------------------------------------
; create new call frame and make the call

; szKeyName  from: char
	mov	eax, [ebx+22]		; base address
	mov	[esp + 0],eax
	push	eax
	call	MapSLFix	
	push	eax

	call	K32Thk1632Prolog@0
	call	Thunk_RegUtilCreateKey@4		; call 32-bit version
	call	K32Thk1632Epilog@0

; return code unsigned long --> unsigned long
	mov	edx,eax
	rol	edx,16

	lea	ecx, [esp+0]
	push	ecx
	push	dword ptr 1
	call	UnMapSLFixArray	;! Preserves eax & edx
;-------------------------------------
	jmp	ExitFlat_4

ENDIF
END
