# $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/util/rcs/util_16.mak 1.7 1998/04/13 20:28:22 ssm Exp $

#######################################################
# bt tools
BTSWTOOLS=$(SWTOOLSD)
BTGDK=$(BTSWTOOLS)\GDK
BTBIN = $(BTSWTOOLS)\BIN

#############################
# bt borland
BTBC = $(BTSWTOOLS)\BC5
BTBCBIN = $(BTBC)\BIN
BTBCINCLUDE = $(BTBC)\INCLUDE
BTBCLIB = $(BTBC)\LIB
BRCINCLUDE = $(BTBCINCLUDE)

COMPOPT = /M /v
LINKOPT = /Twd/x/l/c/C/n/k/Oci /v /V4.0 /L$(BTBCLIB)
#COMPOPT = 
#LINKOPT = /Twd/x/l/c/C/n/k/Oci /V4.0 /L$(BTBCLIB)

#
# Note that environment defines are case sensitive (go figure!)
#
!if $d(debug) || $d(DEBUG)
    !message ****** DEBUG BUILD
    COMPOPT = -v $(COMPOPT) -DDEBUG
    LINKOPT = /v $(LINKOPT) 
!endif

#############################
IMPLIB  = $(BTBCBIN)\Implib
BCC     = $(BTBCBIN)\Bcc $(COMPOPT) +BccW16.cfg  # > err.log
TLINK   = $(BTBCBIN)\TLink $(LINKOPT) 
TLIB    = $(BTBCBIN)\TLib

#BRC     = $(BTBCBIN)\brc -i$(BTBCINCLUDE)

BRC     = $(SWTOOLSD)\\bc5\\bin\\brc -i$(SWTOOLSD)\\bc5\\include



#######################################################
MarkAsWIN40 = ..\mark_40  # IDE Command Line: $NOSWAP $UTIL EDIT $SELNODES
MASM = $(BTBIN)\ml  # IDE Command Line: $UTIL EDIT -D$DEF /c /W3 /Fo $DIR($SELNODES)$NAME($SELNODES).obj $SELNODES
ThunkCompiler = $(THUNK)  # IDE Command Line: $NOSWAP $UTIL EDIT -t PS $EDNAME -o $OUTNAME
THUNK   = $(BTBIN)\thunk  -t UTIL
THUNKDIR = ..\thunks
#######################################################
.AUTODEPEND
.cpp.obj:
 $(BCC) { $< }

#######################################################
all : BccW16.cfg btutil16.dll	btutil16.lib

#######################################################
doFirst :
    -@ rm -f BccW16.cfg
    -@ del /F /Q BccW16.cfg
    
#######################################################
Dep_util_16 =  \
    util_16.obj util_t16.obj util_16.res util_16.def

#######################################################
#$(Dep_util_16) : BccW16.cfg

btutil16.lib : btutil16.dll
  $(IMPLIB) $@ btutil16.dll

#######################################################
btutil16.dll : $(Dep_util_16)
  $(TLINK)   @&&|
   $(BTBCLIB)\c0dl.obj+ util_16.obj+ util_t16.obj
   $<,$*
   $(BTBCLIB)\import.lib+ $(BTBCLIB)\noehwl.lib+ $(BTBCLIB)\mathwl.lib + $(BTBCLIB)\cwl.lib
   util_16.def
   util_16.res
|

#######################################################
util_16.res :  util_16.rc
  sed -e "s/AAA.BBB.CCC.DDD/${VERSIONSTRING}/" util_16.rc > version_16.rc
  $(BRC) -R -FO$@ version_16.rc

#######################################################
util_16.obj : util_16.cpp
 $(BCC) util_16.cpp

#######################################################
util_t16.obj : $(THUNKDIR)\util_t16.asm
  $(MASM)  -DIS_16 /c /W3 /Fo $< $(THUNKDIR)\util_t16.asm

#######################################################
$(THUNKDIR)\util_t16.asm : $(THUNKDIR)\util_t16.thk
  $(ThunkCompiler) -t UTIL $** -o $@

#######################################################
# Compiler configuration file
BccW16.cfg : util_16.mak
   Copy &&|
-I..\include;$(BTBCINCLUDE);.;..\Bt848_32
-DSTRICT;WIN40
-H=util_16.csm -Ot -Z -O -Oe -Ol -Ob -OW -Om
-Op -Oi -Ov -Og -Ot -Op -Ov -R- -k- -Oa -b
-d -po- -f- -4 -ml -C -WDE -ml -x- -xd- -xc -RT- -p
-c -v
| $@
