# $Header: G:/SwDev/W95/Video/pisces/dvlpmnt/util/rcs/util_32.mak 1.8 1998/04/13 20:28:24 ssm Exp $

#######################################################

.AUTODEPEND

#######################################################
# bt tools
BTSWTOOLS=$(SWTOOLSD)
BTGDK=$(BTSWTOOLS)\\GDK
BTBIN = $(BTSWTOOLS)\\BIN

# bt borland
BTBC = $(BTSWTOOLS)\\BC5
BTBCBIN = $(BTBC)\\bin
BTBCINCLUDE = $(BTBC)\\INCLUDE
BTBCLIB = $(BTBC)\\LIB

INCLUDE = $(BTBC)\\INCLUDE
include = $(INCLUDE)
LIB = $(BTBC)\\LIB

BRCINCLUDE = $(SWTOOLSD)\\bc5\\include



!if $d(debug) || $d(DEBUG)
    !message ****** DEBUG BUILD
    COMPOPT = -v $(COMPOPT) -DDEBUG
    LINKOPT = /v $(LINKOPT) 
!endif




#
# Borland C++ tools
#
BCC32   = $(BTBCBIN)\Bcc32 $(COMPOPT) +BccW32.cfg
TLINK32 = $(BTBCBIN)\TLink32 $(LINKOPT)
BRC32   = $(BTBCBIN)\Brc32 -I$(BRCINCLUDE)
TASM32  = $(BTBIN)\Tasm32
IMPLIB  = $(BTBCBIN)\Implib
TLIB    = $(BTBCBIN)\TLib

TASM32  = $(BTBIN)\Tasm32
Thunk Compiler = $(BTBIN)\thunk.exe
MASM = $(BTBIN)\ml.exe
THUNKDIR = ..\thunks


#
# Options
#
Linker Options =  -Tpd -aa -c -x /V4.0
RLATW32_util_32 =  -w32
BLATW32_util_32 = 
REAT_util_32 = $(RLATW32_util_32)
BEAT_util_32 = $(BLATW32_util_32)

#
# Dependency List
#
Dep_util_32 = \
   btutil32.lib

btutil32 : BccW32.cfg $(Dep_util_32)
  echo MakeNode 

btutil32.lib : btutil32.dll
  $(IMPLIB) $@ btutil32.dll


Dep_util_32ddll = \
   util_32.obj\
   util_32.res\
   ut_alias.obj\
   util_t32.obj\
   util_32.def

btutil32.dll : $(Dep_util_32ddll)
  $(TLINK32) @&&|
  $(Linker Options) +
#   $(BTBCLIB)\c0d32.obj+
   ..\startup\c0ntdx.obj+
   ut_alias.obj+
   util_32.obj+
   util_t32.obj
   $<,$*
   $(BTBCLIB)\import32.lib+
   $(BTBCLIB)\cw32.lib+
   ..\bt848_32\thunk32.lib
   util_32.def
   util_32.res 
|
   $(BRC32) util_32.res $<


util_32.obj :  util_32.cpp
  $(BCC32) -c @&&|
 $(CEAT_util_32dlib) -o$@ util_32.cpp
|


#Thunking code
ut_alias.obj : ut_alias.asm
  $(TASM32) @&&|
 /ml ut_alias.asm, ut_alias.obj
|

util_t32.obj : $(THUNKDIR)\util_t32.asm
  $(MASM) -DIS_32 /c /W3 /Fo util_t32.obj $(THUNKDIR)\util_t32.asm

$(THUNKDIR)\util_t32.asm : $(THUNKDIR)\util_t32.thk
  $(Thunk Compiler) -t UTIL $(THUNKDIR)\util_t32.thk -o $(THUNKDIR)\util_t32.asm



util_32.res :  util_32.rc
  sed -e "s/AAA.BBB.CCC.DDD/${VERSIONSTRING}/" util_32.rc > version_32.rc
  $(BRC32) $(REAT_util_32dlib) -R -FO$@ version_32.rc

# Compiler configuration file
BccW32.cfg : util_32.mak
   Copy &&|
-R
-I$(BTBCINCLUDE);..\INCLUDE;..\register;\\Isis\Isis_G\Bt878\dev\inc;..\Bt848_32
-DSTRICT;WIN40
-Ot
-ps
-Z
-O
-Oe
-Ol
-Ob
-Om
-Op
-Oi
-Ov
-Og
-x-
-xd-
-RT-
-R-
-k-
-Oa
-b
-d
-f-
-WDE
-C-
-H=util_32.CSM
-N-
-5
| $@


