# BC4VXD.MAK  
#

PELE		= $(VTOOLSD)\bin\pele.exe

DEFNAME		= $(DEVICENAME).DEF
PELNAME		= $(DEVICENAME).PEL
DLLNAME		= $(DEVICENAME).DLL
MAPNAME		= $(DEVICENAME).MAP

VXD_LIBS	= $(FWLIB) + $(W0) + $(W1) + $(W2) + $(W3) + $(CRTLIB)

! ifdef USER_LIB
VXD_LIBS	= $(VXD_LIBS) + $(USER_LIB)
! endif

OBJLIST		= $(OBJECTS: =+^
)

# Default for non-debug build
DEBUGCMD	=
LINKDBG		= -s

! if $(DEBUG) != 0
!   if "$(DEBUGGER)" == "SOFTICE"
DEBUGCMD	= $(DBG2MAP) $(DLLNAME)
LINKDBG		= -x -v
PELE		= $(PELE) -d
!   else
LINKDBG		= -m
!   endif
! endif

! ifdef REALINIT
PELE		= $(PELE) -r $(REALINIT)
! endif



! if "$(TARGET)" == "WIN95"

RESNAME		= $(DEVICENAME).RES
VRCNAME		= $(DEVICENAME).VRC

! if $(NDIS) == 1
VXD_LIBS	= $(VXD_LIBS) + $(NDISLIB)
! endif	

$(TARGNAME):	$(OBJECTS) DEFFILE $(PELNAME) $(RESNAME)
	$(CLEAR)
	$(TLINK32) -c -Tpd -n -P- $(LINKDBG) @&&!
$(VTOOLSD)\LIB\ICRTBC4.OBJ+
$(OBJECTS: =+^
)
$(DLLNAME)
$(MAPNAME)
$(VXD_LIBS)
$(DEFNAME)
!
	$(DEBUGCMD)
	$(PELE) -c $(PELNAME) -m $(MAPNAME) -o $(TARGNAME) -k 400 $(DLLNAME)
	$(VTOOLSD)\bin\sethdr -n $(DEVICENAME) -x $(TARGNAME) -r $(RESNAME)
	$(MAKESYM)

DEFFILE:
	copy &&|
EXPORTS
	_The_DDB	@1
| $(DEFNAME) >C:NUL

$(RESNAME):	$(VRCNAME)
	chmod 777 $(VRCNAME)
	mv -f $(VRCNAME) tmp.vrc
	sed -e "s/AAA.BBB.CCC.DDD/${VERSIONSTRING}/"  tmp.vrc > $(VRCNAME)
	$(VTOOLSD)\bin\vxdver $(VRCNAME) $(RESNAME)
	mv -f tmp.vrc $(VRCNAME)
	chmod 444 $(VRCNAME)
	 

#$(VRCNAME):	$(VTOOLSD)\include\default.vrc
$(VRCNAME):	
	if not exist $(VRCNAME) copy $(VTOOLSD)\include\default.vrc $(VRCNAME)

$(PELNAME):
	copy &&|
$(DYNASWITCH)
ATTRIB ICODE INIT
ATTRIB LCODE LOCKED
ATTRIB PCODE PAGEABLE
ATTRIB SCODE STATIC
ATTRIB DBOCODE DEBUG
MERGE  ICODE INITDAT0 INITDATA 
| $(PELNAME) >C:NUL

! endif


